#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xea778fab, "sg_pcopy_to_buffer" },
	{ 0xfec4aca, "kmalloc_caches" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x2b8ab42, "sg_copy_to_buffer" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xda7ef1cc, "debugfs_create_dir" },
	{ 0xd3b485a1, "crypto_alloc_shash" },
	{ 0xec299ad3, "of_device_get_match_data" },
	{ 0x250597b4, "param_ops_int" },
	{ 0x754cffc0, "crypto_ablkcipher_type" },
	{ 0x461d16ca, "sg_nents" },
	{ 0xa7f67d58, "of_count_phandle_with_args" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf5e2a763, "__ll_sc_arch_atomic_add_return" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x87b8798d, "sg_next" },
	{ 0xd0fe8d51, "sg_pcopy_from_buffer" },
	{ 0xf2de6aa8, "devm_ioremap_resource" },
	{ 0x34448613, "crypto_shash_finup" },
	{ 0x495b7d1c, "crypto_shash_final" },
	{ 0x71bc68fd, "debugfs_create_file" },
	{ 0x3dfb7666, "__platform_driver_register" },
	{ 0x27909b90, "__ll_sc_arch_atomic_sub" },
	{ 0xdcb764ad, "memset" },
	{ 0x139d6eaf, "mbox_request_channel" },
	{ 0xc5850110, "printk" },
	{ 0x17092b0c, "crypto_shash_update" },
	{ 0x4a56c2eb, "mbox_client_txdone" },
	{ 0xb6ef7851, "crypto_register_ahash" },
	{ 0xf6642535, "debugfs_remove" },
	{ 0xd722ed01, "platform_get_resource" },
	{ 0x57a5e809, "crypto_aead_encrypt" },
	{ 0xcbd49399, "simple_open" },
	{ 0x1df3b1eb, "crypto_shash_setkey" },
	{ 0x29e41191, "_dev_err" },
	{ 0xc6dffc79, "crypto_aead_setkey" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x54f935, "__ll_sc_arch_atomic64_add" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x35d5d289, "crypto_destroy_tfm" },
	{ 0xd0038543, "crypto_unregister_ahash" },
	{ 0x398a46c5, "crypto_register_alg" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xc15a44c6, "memzero_explicit" },
	{ 0x42322a8d, "kmem_cache_alloc_trace" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0xea3560ca, "crypto_aead_decrypt" },
	{ 0xfda776af, "crypto_aead_setauthsize" },
	{ 0x59c261e6, "crypto_alloc_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7745230, "crypto_unregister_aead" },
	{ 0x53fb8934, "crypto_register_aead" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37974064, "des_ekey" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xd2bfcf9f, "mbox_free_channel" },
	{ 0x398b29b8, "platform_driver_unregister" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0xd24c16b0, "crypto_unregister_alg" },
	{ 0x530331b0, "mbox_send_message" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=authenc,des_generic";

MODULE_ALIAS("of:N*T*Cbrcm,spum-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spum-cryptoC*");
MODULE_ALIAS("of:N*T*Cbrcm,spum-nsp-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spum-nsp-cryptoC*");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-cryptoC*");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-v2-crypto");
MODULE_ALIAS("of:N*T*Cbrcm,spu2-v2-cryptoC*");

MODULE_INFO(srcversion, "183A2D3CE6A0F8BFB8C0ADC");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
