#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7b350b7f, "dma_direct_unmap_sg" },
	{ 0xea778fab, "sg_pcopy_to_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0xf749debc, "md5_zero_message_hash" },
	{ 0x815588a6, "clk_enable" },
	{ 0xec299ad3, "of_device_get_match_data" },
	{ 0x461d16ca, "sg_nents" },
	{ 0xca36b2bc, "crypto_dequeue_request" },
	{ 0xb391e82e, "dma_set_mask" },
	{ 0xf5e2a763, "__ll_sc_arch_atomic_add_return" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0x67da9f7c, "sha512_zero_message_hash" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x87b8798d, "sg_next" },
	{ 0xf2de6aa8, "devm_ioremap_resource" },
	{ 0x76eeeb0f, "sha384_zero_message_hash" },
	{ 0x1fa1d95c, "sha256_zero_message_hash" },
	{ 0x6649f0e, "dma_set_coherent_mask" },
	{ 0x3dfb7666, "__platform_driver_register" },
	{ 0xd336e029, "crypto_ahash_digest" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7e995a6d, "crypto_aes_expand_key" },
	{ 0x6de13801, "wait_for_completion" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0xdcb764ad, "memset" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18b48e28, "__memset_io" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x262e823a, "wait_for_completion_interruptible" },
	{ 0x6fa8559e, "crypto_unregister_skcipher" },
	{ 0xb6ef7851, "crypto_register_ahash" },
	{ 0x1a84207a, "dma_direct_map_page" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd722ed01, "platform_get_resource" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x29e41191, "_dev_err" },
	{ 0xf2ac7685, "crypto_register_skcipher" },
	{ 0x2092d1ad, "crypto_enqueue_request" },
	{ 0x1ca4ea9f, "dma_direct_unmap_page" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x6bd07f89, "platform_get_irq_byname" },
	{ 0x946dd559, "sha224_zero_message_hash" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0x7b5a4926, "sha1_zero_message_hash" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x35d5d289, "crypto_destroy_tfm" },
	{ 0xd0038543, "crypto_unregister_ahash" },
	{ 0x5be25d7e, "dev_driver_string" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xc15a44c6, "memzero_explicit" },
	{ 0x4e9a52a6, "devm_clk_get" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0x37a0cba, "kfree" },
	{ 0xb7745230, "crypto_unregister_aead" },
	{ 0xebcc292c, "dma_direct_map_sg" },
	{ 0x53fb8934, "crypto_register_aead" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37974064, "des_ekey" },
	{ 0xb0ad63c0, "request_firmware" },
	{ 0x7a4497db, "kzfree" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xd02805b3, "dmam_alloc_attrs" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29361773, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x398b29b8, "platform_driver_unregister" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0xd2e4418b, "param_ops_uint" },
	{ 0x7e9da1f7, "devm_request_threaded_irq" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8b049c34, "release_firmware" },
	{ 0xbe0bf241, "dmam_pool_create" },
	{ 0x93d2b9d9, "crypto_alloc_ahash" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sha512_generic,authenc,des_generic";


MODULE_INFO(srcversion, "8F5BAF7B4C59872276C2E14");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
