#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x726f1c13, "sun4i_frontend_enable" },
	{ 0xfec4aca, "kmalloc_caches" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x815588a6, "clk_enable" },
	{ 0x18e77e, "drm_atomic_helper_update_plane" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xec299ad3, "of_device_get_match_data" },
	{ 0x408db6ae, "component_add" },
	{ 0x6bae50f8, "regmap_update_bits_base" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x64a8033e, "drm_atomic_get_plane_state" },
	{ 0x69ff4b62, "of_graph_get_port_by_id" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2de6aa8, "devm_ioremap_resource" },
	{ 0xec79a70c, "drm_fb_cma_get_gem_addr" },
	{ 0x8cb46b9, "of_device_is_compatible" },
	{ 0x678c7a3f, "sun4i_frontend_update_coord" },
	{ 0xc7695411, "sun4i_frontend_exit" },
	{ 0x31aaf05, "regmap_read" },
	{ 0x386c05f3, "__devm_reset_control_get" },
	{ 0xe5480e19, "drm_universal_plane_init" },
	{ 0x6527cf86, "of_dma_configure" },
	{ 0x3dfb7666, "__platform_driver_register" },
	{ 0xba294d1c, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x5ffcc19f, "drm_gem_fb_prepare_fb" },
	{ 0x89f9e677, "drm_plane_create_alpha_property" },
	{ 0x4c195d18, "__devm_regmap_init_mmio_clk" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0xa631b179, "sun4i_frontend_format_is_supported" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0xc42c55c7, "__drm_atomic_helper_plane_reset" },
	{ 0xc5850110, "printk" },
	{ 0x33be5d96, "of_find_property" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xcb176aab, "sun4i_frontend_init" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4f019b0e, "sun4i_frontend_update_formats" },
	{ 0xd722ed01, "platform_get_resource" },
	{ 0x29e41191, "_dev_err" },
	{ 0x55ed0499, "drm_plane_cleanup" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb5b815fa, "__drm_atomic_helper_plane_destroy_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xa3d69861, "of_graph_get_endpoint_by_regs" },
	{ 0x788c02dc, "drm_plane_create_zpos_property" },
	{ 0x4e9a52a6, "devm_clk_get" },
	{ 0x42322a8d, "kmem_cache_alloc_trace" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0xf3a96e4, "of_get_next_available_child" },
	{ 0x4e095f11, "drm_get_format_name" },
	{ 0x5510ad25, "of_graph_get_remote_port_parent" },
	{ 0x37a0cba, "kfree" },
	{ 0xf952ee28, "component_del" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x96413fdb, "sunxi_bt601_yuv2rgb_coef" },
	{ 0xb26c175, "of_graph_parse_endpoint" },
	{ 0x44326eed, "sun4i_frontend_update_buffer" },
	{ 0x34a4640a, "drm_dbg" },
	{ 0x48191cde, "drm_atomic_helper_disable_plane" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x398b29b8, "platform_driver_unregister" },
	{ 0x8b4784f1, "of_node_put" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0xbd5c585d, "regmap_write" },
	{ 0xfdf6364c, "of_graph_get_remote_endpoint" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sun4i-frontend,drm_kms_helper,drm";

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-backendC*");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-backend");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-backendC*");

MODULE_INFO(srcversion, "C2D90159EBB543CDDF7C0CA");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
