#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0x785378d4, "drm_gem_cma_dumb_create" },
	{ 0xcbd4678f, "drm_gem_prime_mmap" },
	{ 0x7889708e, "drm_gem_cma_prime_import_sg_table_vmap" },
	{ 0xf884c116, "drm_gem_prime_fd_to_handle" },
	{ 0x3d1dc979, "drm_gem_prime_handle_to_fd" },
	{ 0xa7e2bed7, "drm_cma_gem_create_object_default_funcs" },
	{ 0xbb195c38, "drm_release" },
	{ 0xa7a45061, "drm_open" },
	{ 0x4cb8dfe8, "drm_gem_cma_mmap" },
	{ 0x30ea9c9f, "drm_compat_ioctl" },
	{ 0x589aef2b, "drm_ioctl" },
	{ 0xbe842cfa, "drm_poll" },
	{ 0xfbe5ba99, "drm_read" },
	{ 0xc675d1d7, "noop_llseek" },
	{ 0x51aea04, "drm_gem_fb_simple_display_pipe_prepare_fb" },
	{ 0xad3be336, "drm_atomic_helper_commit" },
	{ 0xffed796c, "drm_atomic_helper_check" },
	{ 0x2793fc7d, "drm_gem_fb_create_with_dirty" },
	{ 0x2b8851f4, "driver_unregister" },
	{ 0xdc48fcb9, "__spi_register_driver" },
	{ 0x29e41191, "_dev_err" },
	{ 0xca7e02af, "gpiod_get_value_cansleep" },
	{ 0x12a38747, "usleep_range" },
	{ 0xc5664491, "_raw_spin_unlock_irq" },
	{ 0xba89bbd8, "drm_crtc_send_vblank_event" },
	{ 0x47941711, "_raw_spin_lock_irq" },
	{ 0xebb9150d, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xdea9439, "dma_buf_end_cpu_access" },
	{ 0xf222794c, "drm_fb_xrgb8888_to_gray8" },
	{ 0x6cb467b6, "dma_buf_begin_cpu_access" },
	{ 0x16372de4, "thermal_zone_get_temp" },
	{ 0x907bb28e, "drm_dev_enter" },
	{ 0x63ff2cd, "drm_fb_cma_get_gem_obj" },
	{ 0xd653b126, "sched_clock" },
	{ 0x6285102d, "thermal_zone_get_zone_by_name" },
	{ 0x24428a69, "spi_get_device_id" },
	{ 0x681435c9, "drm_dev_printk" },
	{ 0x8975446d, "drm_fbdev_generic_setup" },
	{ 0xc5452e72, "drm_dev_register" },
	{ 0x751590b3, "drm_mode_config_reset" },
	{ 0xcfe68408, "tinydrm_display_pipe_init" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0x23716070, "device_property_read_string" },
	{ 0xa2bf24f8, "devm_gpiod_get" },
	{ 0xb9779073, "drm_mode_config_init" },
	{ 0x61138b0a, "devm_drm_dev_init" },
	{ 0x6649f0e, "dma_set_coherent_mask" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0xb391e82e, "dma_set_mask" },
	{ 0x689127e2, "of_match_device" },
	{ 0x2341501f, "drm_dev_fini" },
	{ 0xfc9301a6, "drm_mode_config_cleanup" },
	{ 0x34a4640a, "drm_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x79afd37, "gpiod_set_value_cansleep" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x42322a8d, "kmem_cache_alloc_trace" },
	{ 0xfec4aca, "kmalloc_caches" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x80a9eb98, "spi_sync" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x77f60d86, "drm_dev_unplug" },
	{ 0x12b33781, "drm_atomic_helper_shutdown" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=drm,drm_kms_helper,tinydrm";

MODULE_ALIAS("spi:e1144cs021");
MODULE_ALIAS("spi:e1190cs021");
MODULE_ALIAS("spi:e2200cs021");
MODULE_ALIAS("spi:e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021C*");

MODULE_INFO(srcversion, "9157A65FB96C0CC784E15D0");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
