#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xf52faccf, "sdhci_cqe_disable" },
	{ 0x398b29b8, "platform_driver_unregister" },
	{ 0x3dfb7666, "__platform_driver_register" },
	{ 0xd16dda28, "mmc_gpiod_request_ro" },
	{ 0xe79df845, "mmc_gpiod_request_cd" },
	{ 0xac9b41e, "mmc_gpio_get_cd" },
	{ 0x83e06c8e, "pm_runtime_enable" },
	{ 0x667b3d1b, "__pm_runtime_use_autosuspend" },
	{ 0x7ba87d4, "pm_runtime_set_autosuspend_delay" },
	{ 0x25e26dd7, "__pm_runtime_set_status" },
	{ 0x3b6b959f, "sdhci_add_host" },
	{ 0x679c043e, "cqhci_init" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0x76ca4f92, "mmc_of_parse" },
	{ 0x97e7a93f, "mmc_of_parse_voltage" },
	{ 0x9b5e622c, "of_property_read_variable_u32_array" },
	{ 0x33be5d96, "of_find_property" },
	{ 0x5b5cc432, "of_get_property" },
	{ 0x57945d86, "pinctrl_lookup_state" },
	{ 0xad500b0e, "devm_pinctrl_get" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x4e9a52a6, "devm_clk_get" },
	{ 0x81c96e3d, "sdhci_pltfm_init" },
	{ 0x689127e2, "of_match_device" },
	{ 0x66a55a37, "mmc_gpio_get_ro" },
	{ 0xf9908542, "pinctrl_select_state" },
	{ 0x1a72f5d7, "mmc_send_tuning" },
	{ 0x8c054313, "sdhci_resume_host" },
	{ 0x3c093929, "sdhci_execute_tuning" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x921c4187, "cqhci_irq" },
	{ 0x8792ae27, "sdhci_cqe_irq" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x8191e5fd, "sdhci_reset" },
	{ 0xf92667db, "sdhci_dumpregs" },
	{ 0x29e41191, "_dev_err" },
	{ 0xd4204cad, "sdhci_cqe_enable" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0x3aef525b, "sdhci_pltfm_free" },
	{ 0x26140f95, "sdhci_remove_host" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0xd6d4a107, "__pm_runtime_disable" },
	{ 0x9b4abed4, "__pm_runtime_resume" },
	{ 0xb0264131, "sdhci_suspend_host" },
	{ 0x9d4efd84, "sdhci_runtime_suspend_host" },
	{ 0x2db35253, "cqhci_suspend" },
	{ 0x15d2e280, "cqhci_resume" },
	{ 0xff6e003a, "sdhci_runtime_resume_host" },
	{ 0x28a8c058, "pm_qos_add_request" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0xa41935ec, "pm_qos_remove_request" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sdhci,mmc_core,cqhci,sdhci-pltfm";

MODULE_ALIAS("of:N*T*Cfsl,imx25-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx25-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx35-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx35-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx51-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx51-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx53-esdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx53-esdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6sx-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6sl-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6sl-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6q-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx6ull-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx6ull-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx7d-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx7ulp-usdhcC*");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-usdhc");
MODULE_ALIAS("of:N*T*Cfsl,imx8qxp-usdhcC*");
MODULE_ALIAS("platform:sdhci-esdhc-imx25");
MODULE_ALIAS("platform:sdhci-esdhc-imx35");
MODULE_ALIAS("platform:sdhci-esdhc-imx51");

MODULE_INFO(srcversion, "CBC930C8AD7AC4CC2E5E2B2");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
