#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xa696a7ab, "param_ops_bool" },
	{ 0x2fc018cf, "rt2x00usb_resume" },
	{ 0xe75ff9eb, "rt2x00usb_suspend" },
	{ 0xf3cbcb17, "rt2x00usb_disconnect" },
	{ 0x9e3c6c79, "rt2x00mac_tx_frames_pending" },
	{ 0xa43eaa40, "rt2x00mac_get_ringparam" },
	{ 0xd3e902b4, "rt2x00mac_get_antenna" },
	{ 0xd942c7, "rt2x00mac_set_antenna" },
	{ 0xc687ca67, "rt2x00mac_flush" },
	{ 0x89a25714, "rt2x00mac_rfkill_poll" },
	{ 0x14873dae, "rt2x00mac_conf_tx" },
	{ 0x1ee71140, "rt2x00mac_get_stats" },
	{ 0x26ca201c, "rt2x00mac_sw_scan_complete" },
	{ 0x1d8b435e, "rt2x00mac_sw_scan_start" },
	{ 0xb0319a08, "rt2x00mac_set_key" },
	{ 0x4fd9c342, "rt2x00mac_set_tim" },
	{ 0xb6a1c5b4, "rt2x00mac_configure_filter" },
	{ 0xb9f63760, "rt2x00mac_bss_info_changed" },
	{ 0xe7b0fc73, "rt2x00mac_config" },
	{ 0xbe1147da, "rt2x00mac_remove_interface" },
	{ 0x56f82448, "rt2x00mac_add_interface" },
	{ 0xd24bd47a, "rt2x00mac_stop" },
	{ 0x1b22717f, "rt2x00mac_start" },
	{ 0xabb6c966, "rt2x00mac_tx" },
	{ 0x53a0398f, "rt2x00usb_flush_queue" },
	{ 0xd1dd9ebe, "rt2x00usb_kick_queue" },
	{ 0x99147648, "rt2x00usb_watchdog" },
	{ 0x6f210d0d, "rt2x00usb_clear_entry" },
	{ 0x25d7913, "rt2x00usb_uninitialize" },
	{ 0x483a0aa, "rt2x00usb_initialize" },
	{ 0xe9839c38, "usb_deregister" },
	{ 0x446b0e51, "usb_register_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0xa767083f, "_dev_info" },
	{ 0xc9650fdc, "rt2x00lib_set_mac_address" },
	{ 0xcb716724, "rt2x00usb_vendor_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f566b0b, "rt2x00usb_disable_radio" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0x29e41191, "_dev_err" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe2ab1d1b, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa428cde5, "consume_skb" },
	{ 0x255801ea, "usb_submit_urb" },
	{ 0x7a456f2c, "skb_push" },
	{ 0x5f642f4c, "skb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xa25b2b6e, "rt2x00usb_vendor_request_buff" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa48587f, "rt2x00usb_probe" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00usb,rt2x00lib,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E6636E1F71B87380790B02F");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
