#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0x28585c41, "param_ops_string" },
	{ 0x250597b4, "param_ops_int" },
	{ 0x8ec10b23, "usbnet_resume" },
	{ 0xafec83b2, "usbnet_suspend" },
	{ 0xd554866, "usbnet_disconnect" },
	{ 0x3f326721, "usbnet_probe" },
	{ 0xf5153329, "rndis_tx_fixup" },
	{ 0xe9074b78, "rndis_rx_fixup" },
	{ 0xfa9b3c92, "rndis_status" },
	{ 0xd243d0b, "usbnet_get_stats64" },
	{ 0xd07d09b6, "usbnet_tx_timeout" },
	{ 0x93ec4ee4, "eth_validate_addr" },
	{ 0xeafe6467, "eth_mac_addr" },
	{ 0x102f4607, "usbnet_start_xmit" },
	{ 0x29707436, "usbnet_stop" },
	{ 0x2c6111c3, "usbnet_open" },
	{ 0xe9839c38, "usb_deregister" },
	{ 0x446b0e51, "usb_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa9578c97, "wiphy_register" },
	{ 0x47091ce5, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x876a309b, "wiphy_new_nm" },
	{ 0x27b45461, "netdev_err" },
	{ 0x89fb68dc, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0x7eefb513, "cfg80211_cqm_rssi_notify" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2fcde352, "netif_carrier_off" },
	{ 0xba3eb279, "cfg80211_disconnected" },
	{ 0x66e22d60, "__ll_sc_arch_atomic64_fetch_andnot" },
	{ 0xc5850110, "printk" },
	{ 0x59894408, "cfg80211_roamed" },
	{ 0xdf901f72, "cfg80211_connect_done" },
	{ 0x42322a8d, "kmem_cache_alloc_trace" },
	{ 0xfec4aca, "kmalloc_caches" },
	{ 0x803c6120, "netif_carrier_on" },
	{ 0xc3449800, "usbnet_resume_rx" },
	{ 0x1ccecace, "cfg80211_ibss_joined" },
	{ 0x6ebcff1d, "wiphy_free" },
	{ 0x12757981, "wiphy_unregister" },
	{ 0xda31022f, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcadccba, "usbnet_pause_rx" },
	{ 0xa5147da5, "cfg80211_michael_mic_failure" },
	{ 0x9d434650, "cfg80211_pmksa_candidate_notify" },
	{ 0x3fafff7b, "netdev_info" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x94017019, "cfg80211_scan_done" },
	{ 0x1a68dd5d, "cfg80211_put_bss" },
	{ 0xd0115328, "cfg80211_inform_bss_data" },
	{ 0x4b87ff07, "ieee80211_get_channel" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xc48bec27, "netdev_warn" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xba8b9dc, "__dynamic_netdev_dbg" },
	{ 0x37a0cba, "kfree" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xa671f777, "rndis_command" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
