#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0x2b8851f4, "driver_unregister" },
	{ 0x76af57a5, "uart_unregister_driver" },
	{ 0xe7be77b0, "i2c_del_driver" },
	{ 0xdc48fcb9, "__spi_register_driver" },
	{ 0xab951895, "i2c_register_driver" },
	{ 0xc5850110, "printk" },
	{ 0x448ca089, "uart_register_driver" },
	{ 0x24428a69, "spi_get_device_id" },
	{ 0x880344a5, "__devm_regmap_init_spi" },
	{ 0xd9bc27fc, "spi_setup" },
	{ 0xeec5935f, "__devm_regmap_init_i2c" },
	{ 0x69ba86a6, "device_get_match_data" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0x7e9da1f7, "devm_request_threaded_irq" },
	{ 0x49969c5, "uart_add_one_port" },
	{ 0xdd695f19, "gpiochip_remove" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0xadfb8b92, "uart_remove_one_port" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xd9914d00, "kthread_stop" },
	{ 0x6463b733, "gpiochip_add_data_with_key" },
	{ 0x97eb2696, "sched_setscheduler" },
	{ 0x9dc7560c, "wake_up_process" },
	{ 0x164ebbca, "kthread_create_on_node" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x595be7f4, "__kthread_init_worker" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x4e9a52a6, "devm_clk_get" },
	{ 0xa49a8004, "device_property_read_u32_array" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0x4443784c, "do_SAK" },
	{ 0xa32ca147, "tty_flip_buffer_push" },
	{ 0xb92ee288, "uart_insert_char" },
	{ 0xb3e77aee, "regmap_raw_read" },
	{ 0xdbdba378, "gpiochip_get_data" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xebc784f7, "uart_update_timeout" },
	{ 0x890ff349, "uart_get_baud_rate" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa93b88b3, "uart_write_wakeup" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xee0ee50b, "regmap_raw_write" },
	{ 0xcad7c4f7, "regcache_cache_bypass" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x31aaf05, "regmap_read" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x29e41191, "_dev_err" },
	{ 0x4b293fce, "kthread_queue_work" },
	{ 0x38b75cbd, "kthread_flush_worker" },
	{ 0xbd5c585d, "regmap_write" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x6bae50f8, "regmap_update_bits_base" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("spi:sc16is74x");
MODULE_ALIAS("spi:sc16is740");
MODULE_ALIAS("spi:sc16is741");
MODULE_ALIAS("spi:sc16is750");
MODULE_ALIAS("spi:sc16is752");
MODULE_ALIAS("spi:sc16is760");
MODULE_ALIAS("spi:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "17C090287E4439D8C84DEBE");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
