#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xebf994b7, "pci_bus_type" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x815588a6, "clk_enable" },
	{ 0x96b54619, "usb_add_hcd" },
	{ 0xd6d4a107, "__pm_runtime_disable" },
	{ 0xec299ad3, "of_device_get_match_data" },
	{ 0x8c6340b0, "usb_remove_hcd" },
	{ 0xb391e82e, "dma_set_mask" },
	{ 0xc43d73be, "__usb_create_hcd" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0xf2de6aa8, "devm_ioremap_resource" },
	{ 0x9b4abed4, "__pm_runtime_resume" },
	{ 0x86d8c2c7, "pm_runtime_forbid" },
	{ 0x9ff5082f, "devm_clk_get_optional" },
	{ 0x6649f0e, "dma_set_coherent_mask" },
	{ 0x3dfb7666, "__platform_driver_register" },
	{ 0x3393a356, "usb_put_hcd" },
	{ 0x82bbb552, "xhci_init_driver" },
	{ 0xfc8625b6, "usb_hcd_is_primary_hcd" },
	{ 0xc791f040, "xhci_run" },
	{ 0xc5850110, "printk" },
	{ 0xcb41e7f6, "xhci_resume" },
	{ 0xd722ed01, "platform_get_resource" },
	{ 0x6b4b2933, "__ioremap" },
	{ 0x1eefe5b5, "device_wakeup_enable" },
	{ 0xa49a8004, "device_property_read_u32_array" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0x83e06c8e, "pm_runtime_enable" },
	{ 0x5c1c3eb4, "cpu_hwcaps" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x25e26dd7, "__pm_runtime_set_status" },
	{ 0x5e2d7875, "cpu_hwcap_keys" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x1ac7212c, "devm_usb_get_phy_by_phandle" },
	{ 0xd4273dd, "of_usb_host_tpl_support" },
	{ 0x5822fb42, "xhci_gen_setup" },
	{ 0x45a55ec8, "__iounmap" },
	{ 0x68207551, "platform_get_irq" },
	{ 0x398b29b8, "platform_driver_unregister" },
	{ 0xe6acee4b, "xhci_suspend" },
	{ 0xb2ead97c, "kimage_vaddr" },
	{ 0x14b89635, "arm64_const_caps_ready" },
	{ 0xf4866f5a, "of_fwnode_ops" },
	{ 0x787a3fc8, "is_acpi_device_node" },
	{ 0x57d8cead, "usb_hcd_platform_shutdown" },
	{ 0x6454a621, "device_property_present" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,xhci-hcd";

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7790");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7790C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7791");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7791C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7793");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7793C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7795");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7795C*");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7796");
MODULE_ALIAS("of:N*T*Crenesas,xhci-r8a7796C*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen2-xhci");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen2-xhciC*");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen3-xhci");
MODULE_ALIAS("of:N*T*Crenesas,rcar-gen3-xhciC*");

MODULE_INFO(srcversion, "EB1CE77C20DA6AAC2E726BB");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
