#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xfec4aca, "kmalloc_caches" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0xa9d85d35, "snd_hda_gen_free" },
	{ 0x12ec42c6, "snd_hda_codec_get_pin_target" },
	{ 0x39e235b9, "snd_hda_mixer_amp_volume_put" },
	{ 0x375cacd5, "snd_hda_input_mux_info" },
	{ 0x5aee1a68, "snd_hda_gen_parse_auto_config" },
	{ 0xad2ebb85, "snd_hda_add_verbs" },
	{ 0x2b1fc31a, "snd_hda_apply_fixup" },
	{ 0x2e4b380, "snd_hda_pick_fixup" },
	{ 0xb14360ef, "snd_hda_mixer_amp_tlv" },
	{ 0x72db8c37, "snd_hda_gen_build_pcms" },
	{ 0xb7b0d54c, "snd_hda_jack_unsol_event" },
	{ 0x79491a7, "snd_hda_gen_update_outputs" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x564987ad, "snd_hda_get_path_from_idx" },
	{ 0x1af2f4f6, "snd_hda_mixer_amp_volume_get" },
	{ 0x603e4113, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0x71ce7586, "snd_hda_gen_check_power_status" },
	{ 0x2f5a91d1, "snd_hda_codec_set_pin_target" },
	{ 0xb40a4c6a, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xd348ee22, "snd_hda_gen_add_micmute_led" },
	{ 0xed424620, "snd_hda_activate_path" },
	{ 0x474a20ca, "snd_hda_gen_init" },
	{ 0xc480a3f7, "snd_hda_parse_pin_defcfg" },
	{ 0xd0926a6f, "snd_hda_jack_set_gating_jack" },
	{ 0x9b435be0, "__hda_codec_driver_register" },
	{ 0xfe3ba124, "snd_hda_override_amp_caps" },
	{ 0xed9824a6, "snd_ctl_boolean_mono_info" },
	{ 0xa767083f, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x4917cb78, "_snd_hdac_read_parm" },
	{ 0x4959d4a6, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x51ea2889, "snd_hda_gen_reboot_notify" },
	{ 0x42322a8d, "kmem_cache_alloc_trace" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0x4595e651, "snd_hda_gen_add_kctl" },
	{ 0x2024ceea, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x90595156, "snd_hdac_codec_write" },
	{ 0x9db29aed, "snd_hda_add_new_path" },
	{ 0xfeff91a1, "hda_codec_driver_unregister" },
	{ 0x48948591, "snd_hda_mixer_amp_switch_info" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x92cc04dd, "snd_hda_gen_spec_init" },
	{ 0xff3f1ef4, "snd_hda_jack_detect_state_mst" },
	{ 0xfc411e42, "snd_hdac_regmap_read_raw" },
	{ 0x57cfcc9a, "snd_hda_mixer_amp_volume_info" },
	{ 0xed21ef66, "query_amp_caps" },
	{ 0xecb5ba32, "snd_hda_gen_mic_autoswitch" },
	{ 0x381f6253, "snd_hda_gen_build_controls" },
	{ 0x57440cb5, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "B7D7A58C9F55F4515792288");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
