#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xfec4aca, "kmalloc_caches" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x250597b4, "param_ops_int" },
	{ 0x8771130b, "snd_pcm_period_elapsed" },
	{ 0xcf363b55, "usb_init_urb" },
	{ 0x2047b011, "usb_kill_urb" },
	{ 0xa696a7ab, "param_ops_bool" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0xea7d720a, "snd_card_disconnect" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9d6e882a, "param_ops_charp" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xdcb764ad, "memset" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0xda4d38f2, "snd_pcm_hw_constraint_list" },
	{ 0xe9839c38, "usb_deregister" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xc5850110, "printk" },
	{ 0xc086275, "snd_pcm_set_ops" },
	{ 0x6e01883c, "usb_set_interface" },
	{ 0x9b78b017, "snd_card_free_when_closed" },
	{ 0xc6b0a41, "snd_pcm_lib_get_vmalloc_page" },
	{ 0xc5664491, "_raw_spin_unlock_irq" },
	{ 0xb2f643cc, "usb_control_msg" },
	{ 0x5792f848, "strlcpy" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xad2b65d, "snd_pcm_lib_ioctl" },
	{ 0x29e41191, "_dev_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5be484d8, "usb_urb_ep_type_check" },
	{ 0xce0e32d, "snd_card_new" },
	{ 0x255801ea, "usb_submit_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4209a717, "_snd_pcm_lib_alloc_vmalloc_buffer" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x47941711, "_raw_spin_lock_irq" },
	{ 0x42322a8d, "kmem_cache_alloc_trace" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x37a0cba, "kfree" },
	{ 0xe09dfb7b, "param_array_ops" },
	{ 0x446b0e51, "usb_register_driver" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x55eaeaad, "snd_card_free" },
	{ 0xb74f7658, "snd_card_register" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc9e14e3, "snd_pcm_new" },
	{ 0x1e1195e2, "snd_pcm_lib_free_vmalloc_buffer" },
	{ 0xaed0fc0e, "usb_anchor_urb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,snd-pcm,snd";

MODULE_ALIAS("usb:v04B4p0384d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p930Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p931Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p931Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p931Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p931Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p931Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p9320d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p9321d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v249Cp9001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v249Cp9002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v249Cp9006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v249Cp9008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v249Cp931Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v249Cp932Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v245Fp931Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v25C6p9002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F236F9EB692FD1D1B643293");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
