#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7b350b7f, "dma_direct_unmap_sg" },
	{ 0xea778fab, "sg_pcopy_to_buffer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x815588a6, "clk_enable" },
	{ 0xca36b2bc, "crypto_dequeue_request" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb3635b01, "_raw_spin_lock_bh" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x26e366fb, "of_gen_pool_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x87b8798d, "sg_next" },
	{ 0xd0fe8d51, "sg_pcopy_from_buffer" },
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0xf2de6aa8, "devm_ioremap_resource" },
	{ 0x3dfb7666, "__platform_driver_register" },
	{ 0x51e77c97, "pfn_valid" },
	{ 0xd336e029, "crypto_ahash_digest" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x27909b90, "__ll_sc_arch_atomic_sub" },
	{ 0x7e995a6d, "crypto_aes_expand_key" },
	{ 0xdcb764ad, "memset" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a74fd94, "of_match_node" },
	{ 0x262e823a, "wait_for_completion_interruptible" },
	{ 0x6fa8559e, "crypto_unregister_skcipher" },
	{ 0x4230a8d7, "sg_nents_for_len" },
	{ 0xb6ef7851, "crypto_register_ahash" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x29e41191, "_dev_err" },
	{ 0xf2ac7685, "crypto_register_skcipher" },
	{ 0xe1c25f77, "dma_direct_map_resource" },
	{ 0x2092d1ad, "crypto_enqueue_request" },
	{ 0xa767083f, "_dev_info" },
	{ 0x49c41a57, "_raw_spin_unlock_bh" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x486075c8, "gen_pool_dma_alloc" },
	{ 0x35d5d289, "crypto_destroy_tfm" },
	{ 0xd0038543, "crypto_unregister_ahash" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xc15a44c6, "memzero_explicit" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x4e9a52a6, "devm_clk_get" },
	{ 0x7c72380a, "platform_get_resource_byname" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0x37a0cba, "kfree" },
	{ 0xebcc292c, "dma_direct_map_sg" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37974064, "des_ekey" },
	{ 0x7a4497db, "kzfree" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x29361773, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x68207551, "platform_get_irq" },
	{ 0x398b29b8, "platform_driver_unregister" },
	{ 0x9b5e622c, "of_property_read_variable_u32_array" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0x7e9da1f7, "devm_request_threaded_irq" },
	{ 0xbe0bf241, "dmam_pool_create" },
	{ 0x93d2b9d9, "crypto_alloc_ahash" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=des_generic";

MODULE_ALIAS("of:N*T*Cmarvell,orion-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,orion-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,kirkwood-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,kirkwood-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,dove-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,dove-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-370-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,armada-370-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-xp-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,armada-xp-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-cryptoC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-38x-crypto");
MODULE_ALIAS("of:N*T*Cmarvell,armada-38x-cryptoC*");
MODULE_ALIAS("platform:mv_crypto");

MODULE_INFO(srcversion, "85A14BF448DA84C1560C6D6");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
