#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xbb195c38, "drm_release" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0xc5452e72, "drm_dev_register" },
	{ 0x30ea9c9f, "drm_compat_ioctl" },
	{ 0xcbf8c2ec, "drm_dev_alloc" },
	{ 0xbb7079ea, "component_unbind_all" },
	{ 0xfc9301a6, "drm_mode_config_cleanup" },
	{ 0x7c80937e, "of_parse_phandle" },
	{ 0x751590b3, "drm_mode_config_reset" },
	{ 0x69ff4b62, "of_graph_get_port_by_id" },
	{ 0x1e4ca9ca, "component_bind_all" },
	{ 0x8cb46b9, "of_device_is_compatible" },
	{ 0x8a9fc915, "drm_vblank_init" },
	{ 0x5ae871f2, "component_master_del" },
	{ 0xd4507048, "drm_of_component_match_add" },
	{ 0x3dfb7666, "__platform_driver_register" },
	{ 0x9634d67b, "of_reserved_mem_device_init_by_idx" },
	{ 0xfd37e3f5, "drm_gem_cma_dumb_create_internal" },
	{ 0x8975446d, "drm_fbdev_generic_setup" },
	{ 0x7119aaad, "drm_dev_put" },
	{ 0xb9056bb6, "remove_conflicting_framebuffers" },
	{ 0x325793ad, "drm_atomic_helper_commit_tail_rpm" },
	{ 0x3a5ac842, "drm_dev_unregister" },
	{ 0x4410a1c4, "of_device_is_available" },
	{ 0x7a74fd94, "of_match_node" },
	{ 0xcdfda40b, "drm_gem_fb_create" },
	{ 0x4cb8dfe8, "drm_gem_cma_mmap" },
	{ 0xfbe5ba99, "drm_read" },
	{ 0xc675d1d7, "noop_llseek" },
	{ 0xa7e2bed7, "drm_cma_gem_create_object_default_funcs" },
	{ 0x29e41191, "_dev_err" },
	{ 0x350e5dcd, "sun8i_tcon_top_of_table" },
	{ 0xf884c116, "drm_gem_prime_fd_to_handle" },
	{ 0x589aef2b, "drm_ioctl" },
	{ 0xd9e7668d, "of_reserved_mem_device_release" },
	{ 0xad3be336, "drm_atomic_helper_commit" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xe13164ef, "sun4i_frontend_of_table" },
	{ 0x75213bbc, "drm_atomic_normalize_zpos" },
	{ 0xf3a96e4, "of_get_next_available_child" },
	{ 0x3d1dc979, "drm_gem_prime_handle_to_fd" },
	{ 0x5510ad25, "of_graph_get_remote_port_parent" },
	{ 0xb9779073, "drm_mode_config_init" },
	{ 0xb26c175, "of_graph_parse_endpoint" },
	{ 0x12b33781, "drm_atomic_helper_shutdown" },
	{ 0x34a4640a, "drm_dbg" },
	{ 0xcbd4678f, "drm_gem_prime_mmap" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xeb4627b2, "component_master_add_with_match" },
	{ 0x7889708e, "drm_gem_cma_prime_import_sg_table_vmap" },
	{ 0x398b29b8, "platform_driver_unregister" },
	{ 0x6c10c7a7, "sun4i_tcon_of_table" },
	{ 0x624c45bc, "drm_kms_helper_poll_init" },
	{ 0x8b4784f1, "of_node_put" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0xbe842cfa, "drm_poll" },
	{ 0xa7a45061, "drm_open" },
	{ 0x702ffd20, "drm_kms_helper_poll_fini" },
	{ 0x789a4ff0, "drm_atomic_helper_check_planes" },
	{ 0xfc849e16, "drm_atomic_helper_check_modeset" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=drm,drm_kms_helper,sun8i_tcon_top,sun4i-frontend,sun4i-tcon";

MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun4i-a10-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a10s-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a10s-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun5i-a13-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31s-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun6i-a31s-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun7i-a20-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a23-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a33-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-a83t-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-h3-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-r40-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-r40-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-v3s-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun8i-v3s-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun9i-a80-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-a64-display-engineC*");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h6-display-engine");
MODULE_ALIAS("of:N*T*Callwinner,sun50i-h6-display-engineC*");

MODULE_INFO(srcversion, "C19234082C26A29FCEB1C33");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
