#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0x398b29b8, "platform_driver_unregister" },
	{ 0x3dfb7666, "__platform_driver_register" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x13449d6e, "dma_alloc_attrs" },
	{ 0xb57b57e9, "dma_request_chan" },
	{ 0xda1a3293, "i2c_add_numbered_adapter" },
	{ 0x5792f848, "strlcpy" },
	{ 0x7e9da1f7, "devm_request_threaded_irq" },
	{ 0x83e06c8e, "pm_runtime_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8cb46b9, "of_device_is_compatible" },
	{ 0xec299ad3, "of_device_get_match_data" },
	{ 0x33be5d96, "of_find_property" },
	{ 0x9b5e622c, "of_property_read_variable_u32_array" },
	{ 0x386c05f3, "__devm_reset_control_get" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0x4e9a52a6, "devm_clk_get" },
	{ 0xf2de6aa8, "devm_ioremap_resource" },
	{ 0xd722ed01, "platform_get_resource" },
	{ 0x27be5250, "i2c_recover_bus" },
	{ 0xe1092136, "dma_direct_sync_single_for_cpu" },
	{ 0x592629d0, "dma_direct_sync_single_for_device" },
	{ 0x51bd55b5, "completion_done" },
	{ 0x956ed280, "__pm_runtime_idle" },
	{ 0x4d1ff60a, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x9b4abed4, "__pm_runtime_resume" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0xcec87d12, "pm_runtime_force_resume" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0x12a38747, "usleep_range" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x29361773, "complete" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd6d4a107, "__pm_runtime_disable" },
	{ 0xbb05cda5, "i2c_del_adapter" },
	{ 0xd7024b81, "dma_release_channel" },
	{ 0x38850ca5, "dma_free_attrs" },
	{ 0x264b7d19, "pm_runtime_force_suspend" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0xdaaca994, "pinctrl_pm_select_idle_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x29e41191, "_dev_err" },
	{ 0x815588a6, "clk_enable" },
	{ 0x141ee078, "pinctrl_pm_select_default_state" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c-dvc");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c-dvcC*");

MODULE_INFO(srcversion, "77FA63D38B1A8644AA26AE9");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
