#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xd2e4418b, "param_ops_uint" },
	{ 0x250597b4, "param_ops_int" },
	{ 0xe9839c38, "usb_deregister" },
	{ 0x446b0e51, "usb_register_driver" },
	{ 0x687cce8, "queue_ch_frame" },
	{ 0xc34c1051, "dchannel_senddata" },
	{ 0x87a31f92, "create_l1" },
	{ 0x8a0225c2, "try_module_get" },
	{ 0x588886a6, "l1_event" },
	{ 0xbae0344f, "usb_free_urb" },
	{ 0x2047b011, "usb_kill_urb" },
	{ 0x5b31715, "mISDN_unregister_device" },
	{ 0xd57df09c, "bchannel_senddata" },
	{ 0x1a48a699, "module_put" },
	{ 0x49b0368f, "mISDN_ctrl_bchannel" },
	{ 0x8608d5d6, "mISDN_clear_bchannel" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x1c1b9f8e, "_raw_write_unlock_irqrestore" },
	{ 0xe25ee9d3, "_raw_write_lock_irqsave" },
	{ 0x56fe3780, "mISDN_register_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4ab156bd, "mISDN_freedchannel" },
	{ 0x76ac56e4, "mISDN_freebchannel" },
	{ 0x6e01883c, "usb_set_interface" },
	{ 0xb2f643cc, "usb_control_msg" },
	{ 0x72cae3ec, "mISDN_initbchannel" },
	{ 0x66468a1a, "mISDN_initdchannel" },
	{ 0x42322a8d, "kmem_cache_alloc_trace" },
	{ 0xfec4aca, "kmalloc_caches" },
	{ 0xaf4dd551, "usb_alloc_urb" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x66e22d60, "__ll_sc_arch_atomic64_fetch_andnot" },
	{ 0xb84b881, "skb_queue_purge" },
	{ 0x212bf032, "recv_Echannel" },
	{ 0xe7b9a16b, "recv_Bchannel" },
	{ 0x5f9a03c, "recv_Dchannel" },
	{ 0x5f642f4c, "skb_trim" },
	{ 0x73b2a820, "bchannel_get_rxbuf" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0xe38273f, "get_next_bframe" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0x255801ea, "usb_submit_urb" },
	{ 0x55b78ef0, "get_next_dframe" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa428cde5, "consume_skb" },
	{ 0x37a0cba, "kfree" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4b2bacf5, "skb_put" },
	{ 0x7ee66b1c, "__alloc_skb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5850110, "printk" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,mISDN_core";

MODULE_ALIAS("usb:v0959p2BD0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0675p1688d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B0p0007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0742p2008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0742p2009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0742p200Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08E3p0301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07FAp0846d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07FAp0847d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B0p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v071Dp1005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1AE7p0525d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "4C906150610B5837C537615");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
