#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0x9532b63f, "vb2_ioctl_streamoff" },
	{ 0x85db4ddb, "vb2_ioctl_streamon" },
	{ 0xfc4d6a58, "vb2_ioctl_prepare_buf" },
	{ 0xf667a259, "vb2_ioctl_create_bufs" },
	{ 0x6ab853c, "vb2_ioctl_dqbuf" },
	{ 0xae77fac0, "vb2_ioctl_qbuf" },
	{ 0xc944e60b, "vb2_ioctl_querybuf" },
	{ 0xceac17d7, "vb2_ioctl_reqbufs" },
	{ 0xb050f98f, "vb2_fop_release" },
	{ 0x9dcbc0cb, "v4l2_fh_open" },
	{ 0xe5fd5e17, "vb2_fop_mmap" },
	{ 0x83b51fee, "video_ioctl2" },
	{ 0x80a4793a, "vb2_fop_poll" },
	{ 0x51f66d3f, "vb2_fop_read" },
	{ 0x6935c503, "vb2_ops_wait_finish" },
	{ 0x7a7484ef, "vb2_ops_wait_prepare" },
	{ 0xe7be77b0, "i2c_del_driver" },
	{ 0xab951895, "i2c_register_driver" },
	{ 0x9dc7560c, "wake_up_process" },
	{ 0x164ebbca, "kthread_create_on_node" },
	{ 0xd9914d00, "kthread_stop" },
	{ 0x12a38747, "usleep_range" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbd5c585d, "regmap_write" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0x2de813e3, "__video_register_device" },
	{ 0xcc9037eb, "devm_nvmem_register" },
	{ 0x667b3d1b, "__pm_runtime_use_autosuspend" },
	{ 0x7ba87d4, "pm_runtime_set_autosuspend_delay" },
	{ 0x83e06c8e, "pm_runtime_enable" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5f28b032, "vb2_queue_init" },
	{ 0x19596cb8, "vb2_vmalloc_memops" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x253018ed, "v4l2_device_register" },
	{ 0x1713b3af, "__regmap_init_i2c" },
	{ 0x69ba86a6, "device_get_match_data" },
	{ 0xb55807d3, "dev_fwnode" },
	{ 0x42322a8d, "kmem_cache_alloc_trace" },
	{ 0xfec4aca, "kmalloc_caches" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x8d02d17d, "freezing_slow_path" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x675b1db2, "vb2_buffer_done" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x36bb9c6, "vb2_plane_vaddr" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x390d3c81, "video_devdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x31a2bd2, "regmap_exit" },
	{ 0x973f3086, "v4l2_device_unregister" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4d61d95a, "video_unregister_device" },
	{ 0x25e26dd7, "__pm_runtime_set_status" },
	{ 0xd6d4a107, "__pm_runtime_disable" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0xa8d333ca, "__pm_runtime_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9b4abed4, "__pm_runtime_resume" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xd392bf9b, "devm_hwmon_device_register_with_info" },
	{ 0x3cf44acb, "regmap_get_device" },
	{ 0x6bae50f8, "regmap_update_bits_base" },
	{ 0xc530d527, "regmap_bulk_read" },
	{ 0x301fa007, "_raw_spin_unlock" },
	{ 0xdbf17652, "_raw_spin_lock" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videobuf2-v4l2,videodev,videobuf2-vmalloc,videobuf2-common";

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "19ED487765A48F280398A87");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
