#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0x250597b4, "param_ops_int" },
	{ 0x8d4a996c, "v4l2_event_unsubscribe" },
	{ 0x71cf72, "v4l2_ctrl_subscribe_event" },
	{ 0x2464349e, "v4l2_ctrl_log_status" },
	{ 0x83b51fee, "video_ioctl2" },
	{ 0xe9839c38, "usb_deregister" },
	{ 0x446b0e51, "usb_register_driver" },
	{ 0xca87051d, "videobuf_read_one" },
	{ 0x9f94385a, "videobuf_streamon" },
	{ 0x4cdb95c, "videobuf_queue_is_busy" },
	{ 0x3b28ec8e, "v4l2_fh_release" },
	{ 0xb2f643cc, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x79829ab9, "videobuf_mmap_mapper" },
	{ 0x8e7e62c9, "videobuf_iolock" },
	{ 0x9c443115, "videobuf_vmalloc_free" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0xc14ad8e6, "videobuf_to_vmalloc" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x29e41191, "_dev_err" },
	{ 0x2de813e3, "__video_register_device" },
	{ 0xff87d11f, "videobuf_queue_vmalloc_init" },
	{ 0x4bedc8f6, "v4l2_ctrl_handler_setup" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xe7dd3373, "video_device_release_empty" },
	{ 0xdcb764ad, "memset" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x6c20dc07, "v4l2_ctrl_new_std" },
	{ 0x5bd56650, "v4l2_ctrl_handler_init_class" },
	{ 0x253018ed, "v4l2_device_register" },
	{ 0x42322a8d, "kmem_cache_alloc_trace" },
	{ 0xfec4aca, "kmalloc_caches" },
	{ 0x37a0cba, "kfree" },
	{ 0x98834dd3, "v4l2_ctrl_handler_free" },
	{ 0x999e8297, "vfree" },
	{ 0xa209fbef, "videobuf_mmap_free" },
	{ 0x973f3086, "v4l2_device_unregister" },
	{ 0x44caf1d5, "videobuf_poll_stream" },
	{ 0x6a49741c, "v4l2_ctrl_poll" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9dcbc0cb, "v4l2_fh_open" },
	{ 0xb5136dc7, "mutex_lock_interruptible" },
	{ 0xf3fe4ae1, "videobuf_reqbufs" },
	{ 0x54ea9e7d, "videobuf_querybuf" },
	{ 0xd89256a0, "videobuf_qbuf" },
	{ 0x32d18a8, "videobuf_dqbuf" },
	{ 0x1f57e902, "videobuf_streamoff" },
	{ 0x390d3c81, "video_devdata" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2e4d217, "v4l2_device_put" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x3780f493, "v4l2_device_disconnect" },
	{ 0x4d61d95a, "video_unregister_device" },
	{ 0xa767083f, "_dev_info" },
	{ 0x2ab7989d, "mutex_lock" },
	{ 0xbae0344f, "usb_free_urb" },
	{ 0x2047b011, "usb_kill_urb" },
	{ 0x255801ea, "usb_submit_urb" },
	{ 0xaf4dd551, "usb_alloc_urb" },
	{ 0xc5850110, "printk" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,usbcore,videobuf-core,videobuf-vmalloc";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "880153A8E3BA211D7B95EAF");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
