#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xdb519c41, "sdhci_set_bus_width" },
	{ 0xf52faccf, "sdhci_cqe_disable" },
	{ 0x398b29b8, "platform_driver_unregister" },
	{ 0x3dfb7666, "__platform_driver_register" },
	{ 0xa5aaa8e5, "sdhci_start_signal_voltage_switch" },
	{ 0x2a61ce6f, "sdhci_request" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x5424deaf, "sdhci_set_clock" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x3aad80d6, "sdhci_set_uhs_signaling" },
	{ 0xf9908542, "pinctrl_select_state" },
	{ 0x3a383e4, "__sdhci_add_host" },
	{ 0x799eb7f3, "sdhci_cleanup_host" },
	{ 0x679c043e, "cqhci_init" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0x3b6b959f, "sdhci_add_host" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0x29e41191, "_dev_err" },
	{ 0xc5850110, "printk" },
	{ 0xbe86ea3d, "sdhci_setup_host" },
	{ 0x52528849, "sdhci_enable_v4_mode" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x57945d86, "pinctrl_lookup_state" },
	{ 0xad500b0e, "devm_pinctrl_get" },
	{ 0x386c05f3, "__devm_reset_control_get" },
	{ 0x4e9a52a6, "devm_clk_get" },
	{ 0xaa4fedae, "devm_gpiod_get_optional" },
	{ 0xa49a8004, "device_property_read_u32_array" },
	{ 0x6454a621, "device_property_present" },
	{ 0x76ca4f92, "mmc_of_parse" },
	{ 0x81c96e3d, "sdhci_pltfm_init" },
	{ 0x689127e2, "of_match_device" },
	{ 0xf92667db, "sdhci_dumpregs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd4204cad, "sdhci_cqe_enable" },
	{ 0x56470118, "__warn_printk" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x3c093929, "sdhci_execute_tuning" },
	{ 0x3aef525b, "sdhci_pltfm_free" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x26140f95, "sdhci_remove_host" },
	{ 0x2db35253, "cqhci_suspend" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb0264131, "sdhci_suspend_host" },
	{ 0x15d2e280, "cqhci_resume" },
	{ 0x8c054313, "sdhci_resume_host" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x921c4187, "cqhci_irq" },
	{ 0x8792ae27, "sdhci_cqe_irq" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x6649f0e, "dma_set_coherent_mask" },
	{ 0xb391e82e, "dma_set_mask" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x66a55a37, "mmc_gpio_get_ro" },
	{ 0xdb82f1ec, "regulator_is_supported_voltage" },
	{ 0x1a72f5d7, "mmc_send_tuning" },
	{ 0x8191e5fd, "sdhci_reset" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12a38747, "usleep_range" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=sdhci,cqhci,mmc_core,sdhci-pltfm";

MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhciC*");

MODULE_INFO(srcversion, "B345F78539ED47EE9E37C3C");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
