#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xa0a82c7b, "mt76x02_remove_interface" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0xde959aca, "__mt76_poll" },
	{ 0x20ac3fba, "mt76x02_sw_scan" },
	{ 0x3aa20486, "mt76x02_conf_tx" },
	{ 0x7698a93e, "mt76x02_ampdu_action" },
	{ 0xdd058624, "mt76u_stop_rx" },
	{ 0x5dd88ac, "mt76x02u_exit_beacon_config" },
	{ 0xbce8201a, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9b6eb0f5, "mt76u_vendor_request" },
	{ 0x6d1b23b2, "ieee80211_unregister_hw" },
	{ 0xb3c9971e, "mt76x02u_init_beacon_config" },
	{ 0x1f668c46, "mt76u_stop_tx" },
	{ 0xf4e652db, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf5e7cd2c, "mt76x0_mac_start" },
	{ 0x28bbf535, "mt76x02_bss_info_changed" },
	{ 0xe2f0816d, "mt76x0_init_hardware" },
	{ 0xef6894dc, "mt76_sta_state" },
	{ 0xb94db08d, "mt76x02_set_rts_threshold" },
	{ 0x379a15c2, "mt76x02u_tx_prepare_skb" },
	{ 0x7b25902e, "mt76x02u_init_mcu" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0xd69028c8, "mt76u_init" },
	{ 0xcc1982e7, "mt76x02u_mcu_fw_send_data" },
	{ 0xcc04d23f, "mt76x0_mac_stop" },
	{ 0xe4fa4a7b, "mt76x02_sta_add" },
	{ 0x14d8cf63, "mt76x02_tx_status_data" },
	{ 0xe9839c38, "usb_deregister" },
	{ 0x977f511b, "__mutex_init" },
	{ 0xae7e0abf, "mt76x02_sta_remove" },
	{ 0x58165c4a, "mt76x02_tx" },
	{ 0x8f39d0e4, "__mt76_poll_msec" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x38734bbd, "mt76x02_sw_scan_complete" },
	{ 0x4cb4691f, "mt76_set_tim" },
	{ 0xab326393, "mt76x0_phy_calibrate" },
	{ 0x447133cc, "mt76x02u_mcu_fw_reset" },
	{ 0x29e41191, "_dev_err" },
	{ 0xb377e16e, "mt76x0_register_device" },
	{ 0x11932745, "mt76x0_config" },
	{ 0x720e1bd7, "ieee80211_queue_delayed_work" },
	{ 0xc1cf6ac4, "mt76u_queues_deinit" },
	{ 0x7597e5e6, "mt76x02_queue_rx_skb" },
	{ 0xf6b63186, "mt76x0_chip_onoff" },
	{ 0xf6e2eba3, "mt76x02_configure_filter" },
	{ 0xa767083f, "_dev_info" },
	{ 0xae02b654, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xe9034d02, "usb_reset_device" },
	{ 0xfd6ca495, "usb_put_dev" },
	{ 0x42df3a45, "mt76_alloc_device" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0x776bfd1d, "mt76x02_sta_rate_tbl_update" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0x94c0506d, "mt76u_resume_rx" },
	{ 0x3a77fd94, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0x767bb9c1, "mt76_wake_tx_queue" },
	{ 0xbcfb6721, "mt76_get_txpower" },
	{ 0x446b0e51, "usb_register_driver" },
	{ 0xb0ad63c0, "request_firmware" },
	{ 0xf487be82, "mt76_release_buffered_frames" },
	{ 0xb9d1268c, "ieee80211_free_hw" },
	{ 0xae388a46, "mt76x02_set_key" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x3f0706ac, "firmware_request_nowarn" },
	{ 0x8b049c34, "release_firmware" },
	{ 0xdf298abe, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "925183ECD2EB34F8976E70A");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
