#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0x338cae3a, "dev_attr_phy_event_threshold" },
	{ 0xf1367e5b, "hisi_sas_host_reset" },
	{ 0x50689b4c, "sas_bios_param" },
	{ 0x9e1ea401, "sas_change_queue_depth" },
	{ 0x5a1a2e62, "hisi_sas_scan_start" },
	{ 0x35c52c83, "hisi_sas_scan_finished" },
	{ 0x890c550c, "sas_target_destroy" },
	{ 0x481776b3, "sas_target_alloc" },
	{ 0xeab487ea, "hisi_sas_slave_configure" },
	{ 0x3691a51a, "sas_eh_target_reset_handler" },
	{ 0x54c83810, "sas_eh_device_reset_handler" },
	{ 0x267cffe0, "sas_queuecommand" },
	{ 0x8b65ac4f, "sas_ioctl" },
	{ 0x398b29b8, "platform_driver_unregister" },
	{ 0x3dfb7666, "__platform_driver_register" },
	{ 0xda529278, "hisi_sas_init_mem" },
	{ 0x12a286fb, "hisi_sas_stop_phys" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x7b350b7f, "dma_direct_unmap_sg" },
	{ 0x50012e3e, "sas_ssp_task_response" },
	{ 0xf5bc2db9, "hisi_sas_slot_task_free" },
	{ 0x7dd76b0f, "hisi_sas_sata_done" },
	{ 0xa225c5c9, "hisi_sas_probe" },
	{ 0x3b3a5ad2, "hisi_sas_phy_down" },
	{ 0x24d273d1, "add_timer" },
	{ 0x6b66c6a, "hisi_sas_phy_oob_ready" },
	{ 0x60ab5b6d, "hisi_sas_notify_phy_event" },
	{ 0xa767083f, "_dev_info" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xa49a8004, "device_property_read_u32_array" },
	{ 0x6454a621, "device_property_present" },
	{ 0x31aaf05, "regmap_read" },
	{ 0xbd5c585d, "regmap_write" },
	{ 0x787a3fc8, "is_acpi_device_node" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x29361773, "complete" },
	{ 0x6de13801, "wait_for_completion" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9545af6d, "tasklet_init" },
	{ 0x7e9da1f7, "devm_request_threaded_irq" },
	{ 0x68207551, "platform_get_irq" },
	{ 0xfaef0ed, "__tasklet_schedule" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x479c3c86, "find_next_zero_bit" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xd2a80b07, "hisi_sas_get_ncq_tag" },
	{ 0x87b8798d, "sg_next" },
	{ 0xebfae55c, "hisi_sas_get_ata_protocol" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0x5e24cf10, "to_hisi_sas_port" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbef0b8b5, "hisi_sas_phy_enable" },
	{ 0x9b807c91, "hisi_sas_get_prog_phy_linkrate_mask" },
	{ 0x29e41191, "_dev_err" },
	{ 0x11bd86e4, "hisi_sas_remove" },
	{ 0xb665c376, "hisi_sas_kill_tasklets" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=libsas,hisi_sas_main";

MODULE_ALIAS("acpi*:HISI0162:*");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2C*");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2C*");

MODULE_INFO(srcversion, "F120A329621B599D2CD838F");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
