#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xe9839c38, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x446b0e51, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x11994e84, "usb_unlink_urb" },
	{ 0x99db3963, "sdev_prefix_printk" },
	{ 0xca2d5fa0, "usb_unanchor_urb" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x255801ea, "usb_submit_urb" },
	{ 0xaed0fc0e, "usb_anchor_urb" },
	{ 0x42322a8d, "kmem_cache_alloc_trace" },
	{ 0xfec4aca, "kmalloc_caches" },
	{ 0xaf4dd551, "usb_alloc_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0x711d6f, "scsi_add_host_with_dma" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce47fcb9, "scsi_host_alloc" },
	{ 0x53747ca2, "usb_stor_adjust_quirks" },
	{ 0x35f169ab, "blk_queue_max_hw_sectors" },
	{ 0xdb224ad4, "blk_queue_update_dma_alignment" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0x1a34bf6d, "scsi_scan_host" },
	{ 0x409bcb62, "mutex_unlock" },
	{ 0x18f7aa8c, "usb_lock_device_for_reset" },
	{ 0x14bd5809, "scsi_host_put" },
	{ 0xd342f832, "scsi_remove_host" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x2047b011, "usb_kill_urb" },
	{ 0x630c0d75, "usb_get_urb" },
	{ 0xffcd2f2a, "scsi_print_command" },
	{ 0x9d941aa8, "scmd_printk" },
	{ 0x31a481b5, "scsi_report_bus_reset" },
	{ 0x85404421, "usb_alloc_streams" },
	{ 0x5406a000, "scsi_change_queue_depth" },
	{ 0x4f46d31e, "scsi_is_host_device" },
	{ 0x29e41191, "_dev_err" },
	{ 0xbae0344f, "usb_free_urb" },
	{ 0x40282514, "scsi_unblock_requests" },
	{ 0x4bf5e97c, "dev_printk" },
	{ 0xb6975beb, "scsi_block_requests" },
	{ 0x3812050a, "_raw_spin_unlock_irqrestore" },
	{ 0x51760917, "_raw_spin_lock_irqsave" },
	{ 0x407af304, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe9034d02, "usb_reset_device" },
	{ 0x6e01883c, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xa182db0a, "usb_free_streams" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,usb-storage,scsi_mod";

MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "4F9870555BD741CBCEC675C");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
