#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xd283ba75, "module_layout" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1fdc7df2, "_mcount" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xaea96cc2, "snd_soc_dapm_get_enum_double" },
	{ 0xf8f4d9f8, "regmap_register_patch" },
	{ 0xe7be77b0, "i2c_del_driver" },
	{ 0x435e163c, "snd_soc_dapm_get_volsw" },
	{ 0x6bae50f8, "regmap_update_bits_base" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69285050, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6d653fdf, "snd_soc_component_update_bits" },
	{ 0x80c44e, "snd_soc_put_volsw" },
	{ 0x31aaf05, "regmap_read" },
	{ 0x60112d1a, "snd_soc_get_volsw" },
	{ 0x492210cf, "devm_regulator_bulk_get" },
	{ 0x9de12c3d, "regulator_bulk_enable" },
	{ 0x1ce344c2, "snd_soc_info_enum_double" },
	{ 0xfa1d73bb, "snd_soc_dapm_add_routes" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0xdba0f565, "_dev_warn" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x8045c9f8, "snd_soc_dapm_force_bias_level" },
	{ 0xc1e920ae, "snd_soc_dapm_put_volsw" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x29e41191, "_dev_err" },
	{ 0x5f6d471b, "snd_soc_info_volsw" },
	{ 0xab951895, "i2c_register_driver" },
	{ 0xa767083f, "_dev_info" },
	{ 0xb05dab05, "snd_soc_get_enum_double" },
	{ 0xa49a8004, "device_property_read_u32_array" },
	{ 0x95bcbc40, "regulator_bulk_disable" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xeec5935f, "__devm_regmap_init_i2c" },
	{ 0xb7298659, "devm_snd_soc_register_component" },
	{ 0xd89e2a5b, "snd_soc_dapm_sync" },
	{ 0xcf7d44c3, "snd_soc_component_write" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0x11ca6753, "__dynamic_dev_dbg" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0xaa4fedae, "devm_gpiod_get_optional" },
	{ 0x9d64cb5a, "gpiod_get_value" },
	{ 0xcfb45ab7, "regcache_mark_dirty" },
	{ 0x4fad09ab, "snd_soc_put_enum_double" },
	{ 0xf14279c, "snd_soc_dapm_force_enable_pin" },
	{ 0xf9928c3, "snd_soc_dapm_disable_pin" },
	{ 0x7f68b24d, "rl6231_pll_calc" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xbc420226, "snd_soc_jack_report" },
	{ 0xd78e59e0, "snd_soc_component_read32" },
	{ 0x5cf134d1, "devm_kmalloc" },
	{ 0xd2e4418b, "param_ops_uint" },
	{ 0xbd5c585d, "regmap_write" },
	{ 0xfd59aa81, "regcache_sync" },
	{ 0x17fe82ea, "regcache_cache_only" },
	{ 0x6454a621, "device_property_present" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb2722f61, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core,snd-soc-rl6231";

MODULE_ALIAS("i2c:rt5645");
MODULE_ALIAS("i2c:rt5650");
MODULE_ALIAS("acpi*:10EC5645:*");
MODULE_ALIAS("acpi*:10EC5648:*");
MODULE_ALIAS("acpi*:10EC5650:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC3270:*");
MODULE_ALIAS("of:N*T*Crealtek,rt5645");
MODULE_ALIAS("of:N*T*Crealtek,rt5645C*");
MODULE_ALIAS("of:N*T*Crealtek,rt5650");
MODULE_ALIAS("of:N*T*Crealtek,rt5650C*");

MODULE_INFO(srcversion, "CED8B54B208CC9FF2D908E6");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
